# ISceneDocument Struct Reference
[Shell Interfaces]

Inheritance diagram for ISceneDocument:

List of all members.

## Classes
struct | TRelocatedFile
## Public Member Functions
virtual void MCCOMAPI | GetScene (I3DShScene **)=0
virtual I3DShScene *MCCOMAPI | GetScene ()=0
virtual void MCCOMAPI | GetSceneSelection (ISceneSelection **)=0
virtual void MCCOMAPI | GetSceneSelectionChannel (IChangeChannel **)=0
virtual void MCCOMAPI | GetTreeHierarchyChannel (IChangeChannel **)=0
virtual void MCCOMAPI | GetDocumentWindowByID (IMFPart **, IDType inWindowID)=0
virtual void MCCOMAPI | GetModuleByID (I3DShModule **, IDType inModuleID)=0
virtual void MCCOMAPI | GetSceneRenderingModule (I3DRenderingModule **renderingModule)=0
virtual boolean MCCOMAPI | StopAnimPreview ()=0
virtual void MCCOMAPI | StartAnimPreview ()=0
virtual void MCCOMAPI | GetJumpInOutChannel (IChangeChannel **)=0
virtual uint32 MCCOMAPI | GetJumpInStackCount ()=0
virtual void MCCOMAPI | GetJumpInStackTop (I3DShTreeElement **outTree)=0
virtual void MCCOMAPI | JumpIn (I3DShTreeElement *inTree)=0
virtual void MCCOMAPI | JumpOut ()=0
virtual void MCCOMAPI | SetAnimationEditMode (IExAnimationEditMode *mode)=0
virtual IExAnimationEditMode *MCCOMAPI | GetAnimationEditMode () const =0
virtual void MCCOMAPI | ForceLeaveAnimationEditMode ()=0
virtual void MCCOMAPI | GetExporter (IDType type, I3DExExportFilter **exporter)=0
virtual int32 MCCOMAPI | GetUsedExporterCount ()=0
virtual void MCCOMAPI | GetUsedExporterByIndex (int32 index, I3DExExportFilter **exporter)=0
virtual void MCCOMAPI | SetExporterData (I3DExExportFilter *exporter)=0
virtual void MCCOMAPI | SetExporterData (IDType type, const TMCSmartBloc &pmapText)=0
virtual boolean MCCOMAPI | LaunchSceneCommand (IDType actionNumber)=0
virtual void MCCOMAPI | LockPanePartRender ()=0
virtual void MCCOMAPI | UnlockPanePartRender ()=0
virtual boolean MCCOMAPI | ShouldRenderPanePart (I3DEditorHostPanePart *panePart)=0
virtual const TMCClassArray < TMCDynamicString > &MCCOMAPI | GetCanceledFiles ()=0
virtual boolean MCCOMAPI | IsRelocatedFile (const TMCString &oldFilePath, TMCString &newFilePath, IDType &inOutFromat)=0
virtual void MCCOMAPI | AddRelocatedFile (const TMCString &oldFilePath, const TMCString &newFilePath, const IDType &fromat)=0
virtual void MCCOMAPI | AddCanceledFile (const TMCString &oldFilePath)=0

## Detailed Description

Interface to a scene document. Provides basic access to the scene's I3DShScene interface, and its associated change channels. It also provides support for Jump In/Out. This is when the user double-clicks on a group or object, and the document "jumps in" and allows editing of just that subtree.

## Member Function Documentation

virtual void MCCOMAPI ISceneDocument::AddCanceledFile | ( | const TMCString & | oldFilePath | ) | `[pure virtual]`

virtual void MCCOMAPI ISceneDocument::AddRelocatedFile | ( | const TMCString & | oldFilePath,
|  | const TMCString & | newFilePath,
|  | const IDType & | fromat |
| ) |  |  | `[pure virtual]`

virtual void MCCOMAPI ISceneDocument::ForceLeaveAnimationEditMode | ( |  | ) | `[pure virtual]`

virtual IExAnimationEditMode* MCCOMAPI ISceneDocument::GetAnimationEditMode | ( |  | ) | const`[pure virtual]`

virtual const TMCClassArray<TMCDynamicString>& MCCOMAPI ISceneDocument::GetCanceledFiles | ( |  | ) | `[pure virtual]`

virtual void MCCOMAPI ISceneDocument::GetDocumentWindowByID | ( | IMFPart ** | ,
|  | IDType | inWindowID |
| ) |  |  | `[pure virtual]`

Parameters:

  | IMFPar |
  | inWindowI |

virtual void MCCOMAPI ISceneDocument::GetExporter | ( | IDType | type,
|  | I3DExExportFilter ** | exporter |
| ) |  |  | `[pure virtual]`

virtual void MCCOMAPI ISceneDocument::GetJumpInOutChannel | ( | IChangeChannel ** |  | ) | `[pure virtual]`

virtual uint32 MCCOMAPI ISceneDocument::GetJumpInStackCount | ( |  | ) | `[pure virtual]`

virtual void MCCOMAPI ISceneDocument::GetJumpInStackTop | ( | I3DShTreeElement ** | outTree | ) | `[pure virtual]`

virtual void MCCOMAPI ISceneDocument::GetModuleByID | ( | I3DShModule ** | ,
|  | IDType | inModuleID |
| ) |  |  | `[pure virtual]`

virtual I3DShScene* MCCOMAPI ISceneDocument::GetScene | ( |  | ) | `[pure virtual]`

Get a pointer to the scene without adding a reference.

Returns:
  A pointer to the scene.

virtual void MCCOMAPI ISceneDocument::GetScene | ( | I3DShScene ** |  | ) | `[pure virtual]`

Get a counted pointer to the scene

Parameters:

  | I3DShScene | Should be a pointer to a counted pointer.

virtual void MCCOMAPI ISceneDocument::GetSceneRenderingModule | ( | I3DRenderingModule ** | renderingModule | ) | `[pure virtual]`

virtual void MCCOMAPI ISceneDocument::GetSceneSelection | ( | ISceneSelection ** |  | ) | `[pure virtual]`

Get a counted pointer to the scene selection.

Parameters:

  | ISceneSelection | Should be a pointer to a counted pointer.

virtual void MCCOMAPI ISceneDocument::GetSceneSelectionChannel | ( | IChangeChannel ** |  | ) | `[pure virtual]`

Get a counted pointer to the channel that is alerted when the scene selection change.

Parameters:

  | IChangeChannel | Should be a pointer to a counted pointer.

virtual void MCCOMAPI ISceneDocument::GetTreeHierarchyChannel | ( | IChangeChannel ** |  | ) | `[pure virtual]`

Get a counted pointer to the channel that is alerted when there is a change in the tree hierarchy or transform.

Parameters:

  | IChangeChannel | Should be a pointer to a counted pointer.

virtual void MCCOMAPI ISceneDocument::GetUsedExporterByIndex | ( | int32 | index,
|  | I3DExExportFilter ** | exporter |
| ) |  |  | `[pure virtual]`

virtual int32 MCCOMAPI ISceneDocument::GetUsedExporterCount | ( |  | ) | `[pure virtual]`

virtual boolean MCCOMAPI ISceneDocument::IsRelocatedFile | ( | const TMCString & | oldFilePath,
|  | TMCString & | newFilePath,
|  | IDType & | inOutFromat |
| ) |  |  | `[pure virtual]`

virtual void MCCOMAPI ISceneDocument::JumpIn | ( | I3DShTreeElement * | inTree | ) | `[pure virtual]`

virtual void MCCOMAPI ISceneDocument::JumpOut | ( |  | ) | `[pure virtual]`

virtual boolean MCCOMAPI ISceneDocument::LaunchSceneCommand | ( | IDType | actionNumber | ) | `[pure virtual]`

virtual void MCCOMAPI ISceneDocument::LockPanePartRender | ( |  | ) | `[pure virtual]`

virtual void MCCOMAPI ISceneDocument::SetAnimationEditMode | ( | IExAnimationEditMode * | mode | ) | `[pure virtual]`

virtual void MCCOMAPI ISceneDocument::SetExporterData | ( | IDType | type,
|  | const TMCSmartBloc & | pmapText |
| ) |  |  | `[pure virtual]`

virtual void MCCOMAPI ISceneDocument::SetExporterData | ( | I3DExExportFilter * | exporter | ) | `[pure virtual]`

virtual boolean MCCOMAPI ISceneDocument::ShouldRenderPanePart | ( | I3DEditorHostPanePart * | panePart | ) | `[pure virtual]`

virtual void MCCOMAPI ISceneDocument::StartAnimPreview | ( |  | ) | `[pure virtual]`

virtual boolean MCCOMAPI ISceneDocument::StopAnimPreview | ( |  | ) | `[pure virtual]`

virtual void MCCOMAPI ISceneDocument::UnlockPanePartRender | ( |  | ) | `[pure virtual]`

The documentation for this struct was generated from the following file:

- ISceneDocument.h